Subject: Re: Documentation improvements
From: "Robert Aldwinckle" <[email-masked]>
To: [email-masked]
Date: Wed, 24 Jul 2002 06:45:08 -0400
Newsgroups: gmane.os.cygwin

"Samuel" <[email-masked]> wrote in message
news:049201c231c0$3af5e2f0$a352a518@samsystem...
> I am a newbie but my first message to the mailing list was not ignored. What
> does that mean? I don't know.
>
> In my first message I said: "I am new to this mailing list and to Cygwin. I
> also have not used Unix for over a decade. I am familiar with C and C++ and
> I have been using Visual C++
> since the first version."
...

If another newbie's perspective is of any use I can
tell you a few more things that I have discovered
to help orient yourself with the package:

whatis  and  apropos    are two related commands
which seem to interrogate a partial concordance of
the documentation.  I'm still looking for a way to make
the results more complete.

The first time I installed  CygWin  man  did not work.
I can't remember the exact symptoms.  I waited for
a new version and reinstalled and then it started working.
Not all functions have man pages.

Info is another documentation tool.   Only a few packages
seem to use it.

Another way to get oriented heretical as it may sound
is to use  Windows  Explorer  and  its  Find  tool.
For example press F3 while open at the CygWin root
and enter  *.htm  and you will see that other packages
are documented as sets of browser pages.   Evidently
we have to get used to inconsistency.

Vim  and  emacs  are installed as editors.   I don't
know--trying to get familiar with all those keystrokes
seems more effort than is worthwhile.  The idea of
being able to integrate them eventually with shell functions
though seems to be my incentive for keeping at it.
I don't have a programmable editor on Windows
so I do far too much data analysis with shell commands.

Less  is the alternative to  More  that you need
to get used to.   More is referenced by the Less Man
page but is not found.   I can't remember what
tweaked me to using  less.   It may have been from
trawling through the FAQ but as I recall I didn't find
that as useful for getting familiar with the default
install as I might have expected.

HTH

Robert Aldwinckle
---

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/